2

I have recently done a fresh install of truffle v2.1.1 as I want to compare this version to the recently updated version.

truffle init

Works as expected. However, when doing;

truffle migrate --reset

This error is returned;

Could not find expected contract or library in 'ConvertLib.sol': contract or library 'ConvertLib' not found.

Before, I had deleted ConvertLib and MetaCoin to try this with a newly created contract. However, the error still remains for the Migrations contract and the newly created contract.

I have also tried to modify the deploy_contracts.js to include;

deployer.deploy('.....directory...ConvertLib')

And also modified the initial_migrations.js file;

deployer.deploy('.....directory...Migrations')

Would anybody be able to help as I have created multiple fresh truffle folders to try this on but nothing seems to be helping. Thanks!

  • If ConvertLib.sol has been deleted at ConvertLib library is nowhere to be found, then the migration shouldn't be trying to deploy it. In 2_deploy_constracts.js, only deployer.deploy() contracts with source files it can find. Hope it helps. Keep MIgrations.sol. It's important. – Rob Hitchens - B9lab Apr 25 '17 at 19:39
  • Thanks for your help! However, when the file is not deleted, the same error occurs. It is as if it isn't finding the contracts folder. When i deleted the MetaCoin and the ConvertLib as they are both testing contracts and aren't crucial to truffles operations. The same error occurs but for Migrations now. Any ideas? – ihesm Apr 26 '17 at 16:32
  • It sounds like migrations/2_deploy_contracts.js is trying to deploy the contracts that have been deleted. – Rob Hitchens - B9lab Apr 26 '17 at 18:16

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.